### Method

# Soup Message get_tls_peer_certificate

#### Declaration [src]

    GTlsCertificate*
    soup_message_get_tls_peer_certificate (
      SoupMessage* msg
    )

#### Description [src]

Gets the peer’s `GTlsCertificate` associated with `msg`‘s connection.

Note that this is not set yet during the emission of `SoupMessage::accept-certificate` signal.

Gets property | `Soup.Message:tls-peer-certificate`

#### Return value

Type: `GTlsCertificate`

`msg`‘s TLS peer certificate, or `NULL` if `msg`‘s connection is not SSL.

The data is owned by the instance.
The return value can be `NULL`.